<?php
App::uses('AppController', 'Controller');
/**
 * ActivitesComplementaires Controller
 *
 * @property ActivitesComplementaire $ActivitesComplementaire
 */
class ActivitesComplementairesController extends AppController {

/**
 * index method
 *
 * @return void
 */
	public function index() {
		$this->ActivitesComplementaire->recursive = 0;
		$this->set('activitesComplementaires', $this->paginate());
	}

/**
 * view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function view($id = null) {
		if (!$this->ActivitesComplementaire->exists($id)) {
			throw new NotFoundException(__('Invalid activites complementaire'));
		}
		$options = array('conditions' => array('ActivitesComplementaire.' . $this->ActivitesComplementaire->primaryKey => $id));
		$this->set('activitesComplementaire', $this->ActivitesComplementaire->find('first', $options));
	}

/**
 * add method
 *
 * @return void
 */
	public function add() {
		if ($this->request->is('post')) {
			$this->ActivitesComplementaire->create();
			if ($this->ActivitesComplementaire->save($this->request->data)) {
				$this->Session->setFlash(__('The activites complementaire has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The activites complementaire could not be saved. Please, try again.'));
			}
		}
	}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function edit($id = null) {
		if (!$this->ActivitesComplementaire->exists($id)) {
			throw new NotFoundException(__('Invalid activites complementaire'));
		}
		if ($this->request->is('post') || $this->request->is('put')) {
			if ($this->ActivitesComplementaire->save($this->request->data)) {
				$this->Session->setFlash(__('The activites complementaire has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The activites complementaire could not be saved. Please, try again.'));
			}
		} else {
			$options = array('conditions' => array('ActivitesComplementaire.' . $this->ActivitesComplementaire->primaryKey => $id));
			$this->request->data = $this->ActivitesComplementaire->find('first', $options);
		}
	}

/**
 * delete method
 *
 * @throws NotFoundException
 * @throws MethodNotAllowedException
 * @param string $id
 * @return void
 */
	public function delete($id = null) {
		$this->ActivitesComplementaire->id = $id;
		if (!$this->ActivitesComplementaire->exists()) {
			throw new NotFoundException(__('Invalid activites complementaire'));
		}
		$this->request->onlyAllow('post', 'delete');
		if ($this->ActivitesComplementaire->delete()) {
			$this->Session->setFlash(__('Activites complementaire deleted'));
			$this->redirect(array('action' => 'index'));
		}
		$this->Session->setFlash(__('Activites complementaire was not deleted'));
		$this->redirect(array('action' => 'index'));
	}
}
