<?php
App::uses('AppController', 'Controller');
/**
 * Constituers Controller
 *
 * @property Constituer $Constituer
 */
class ConstituersController extends AppController {

/**
 * index method
 *
 * @return void
 */
	public function index() {
		$this->Constituer->recursive = 0;
		$this->set('constituers', $this->paginate());
	}

/**
 * view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function view($id = null) {
		if (!$this->Constituer->exists($id)) {
			throw new NotFoundException(__('Invalid constituer'));
		}
		$options = array('conditions' => array('Constituer.' . $this->Constituer->primaryKey => $id));
		$this->set('constituer', $this->Constituer->find('first', $options));
	}

/**
 * add method
 *
 * @return void
 */
	public function add() {
		if ($this->request->is('post')) {
			$this->Constituer->create();
			if ($this->Constituer->save($this->request->data)) {
				$this->Session->setFlash(__('The constituer has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The constituer could not be saved. Please, try again.'));
			}
		}
		$composants = $this->Constituer->Composant->find('list');
		$medicaments = $this->Constituer->Medicament->find('list');
		$this->set(compact('composants', 'medicaments'));
	}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function edit($id = null) {
		if (!$this->Constituer->exists($id)) {
			throw new NotFoundException(__('Invalid constituer'));
		}
		if ($this->request->is('post') || $this->request->is('put')) {
			if ($this->Constituer->save($this->request->data)) {
				$this->Session->setFlash(__('The constituer has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The constituer could not be saved. Please, try again.'));
			}
		} else {
			$options = array('conditions' => array('Constituer.' . $this->Constituer->primaryKey => $id));
			$this->request->data = $this->Constituer->find('first', $options);
		}
		$composants = $this->Constituer->Composant->find('list');
		$medicaments = $this->Constituer->Medicament->find('list');
		$this->set(compact('composants', 'medicaments'));
	}

/**
 * delete method
 *
 * @throws NotFoundException
 * @throws MethodNotAllowedException
 * @param string $id
 * @return void
 */
	public function delete($id = null) {
		$this->Constituer->id = $id;
		if (!$this->Constituer->exists()) {
			throw new NotFoundException(__('Invalid constituer'));
		}
		$this->request->onlyAllow('post', 'delete');
		if ($this->Constituer->delete()) {
			$this->Session->setFlash(__('Constituer deleted'));
			$this->redirect(array('action' => 'index'));
		}
		$this->Session->setFlash(__('Constituer was not deleted'));
		$this->redirect(array('action' => 'index'));
	}
}
