<?php
App::uses('AppController', 'Controller');
/**
 * Dosages Controller
 *
 * @property Dosage $Dosage
 */
class DosagesController extends AppController {

/**
 * index method
 *
 * @return void
 */
	public function index() {
		$this->Dosage->recursive = 0;
		$this->set('dosages', $this->paginate());
	}

/**
 * view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function view($id = null) {
		if (!$this->Dosage->exists($id)) {
			throw new NotFoundException(__('Invalid dosage'));
		}
		$options = array('conditions' => array('Dosage.' . $this->Dosage->primaryKey => $id));
		$this->set('dosage', $this->Dosage->find('first', $options));
	}

/**
 * add method
 *
 * @return void
 */
	public function add() {
		if ($this->request->is('post')) {
			$this->Dosage->create();
			if ($this->Dosage->save($this->request->data)) {
				$this->Session->setFlash(__('The dosage has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The dosage could not be saved. Please, try again.'));
			}
		}
	}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function edit($id = null) {
		if (!$this->Dosage->exists($id)) {
			throw new NotFoundException(__('Invalid dosage'));
		}
		if ($this->request->is('post') || $this->request->is('put')) {
			if ($this->Dosage->save($this->request->data)) {
				$this->Session->setFlash(__('The dosage has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The dosage could not be saved. Please, try again.'));
			}
		} else {
			$options = array('conditions' => array('Dosage.' . $this->Dosage->primaryKey => $id));
			$this->request->data = $this->Dosage->find('first', $options);
		}
	}

/**
 * delete method
 *
 * @throws NotFoundException
 * @throws MethodNotAllowedException
 * @param string $id
 * @return void
 */
	public function delete($id = null) {
		$this->Dosage->id = $id;
		if (!$this->Dosage->exists()) {
			throw new NotFoundException(__('Invalid dosage'));
		}
		$this->request->onlyAllow('post', 'delete');
		if ($this->Dosage->delete()) {
			$this->Session->setFlash(__('Dosage deleted'));
			$this->redirect(array('action' => 'index'));
		}
		$this->Session->setFlash(__('Dosage was not deleted'));
		$this->redirect(array('action' => 'index'));
	}
}
