<?php
App::uses('AppController', 'Controller');
/**
 * Formulers Controller
 *
 * @property Formuler $Formuler
 */
class FormulersController extends AppController {

/**
 * index method
 *
 * @return void
 */
	public function index() {
		$this->Formuler->recursive = 0;
		$this->set('formulers', $this->paginate());
	}

/**
 * view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function view($id = null) {
		if (!$this->Formuler->exists($id)) {
			throw new NotFoundException(__('Invalid formuler'));
		}
		$options = array('conditions' => array('Formuler.' . $this->Formuler->primaryKey => $id));
		$this->set('formuler', $this->Formuler->find('first', $options));
	}

/**
 * add method
 *
 * @return void
 */
	public function add() {
		if ($this->request->is('post')) {
			$this->Formuler->create();
			if ($this->Formuler->save($this->request->data)) {
				$this->Session->setFlash(__('The formuler has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The formuler could not be saved. Please, try again.'));
			}
		}
		$presentations = $this->Formuler->Presentation->find('list');
		$medicaments = $this->Formuler->Medicament->find('list');
		$this->set(compact('presentations', 'medicaments'));
	}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function edit($id = null) {
		if (!$this->Formuler->exists($id)) {
			throw new NotFoundException(__('Invalid formuler'));
		}
		if ($this->request->is('post') || $this->request->is('put')) {
			if ($this->Formuler->save($this->request->data)) {
				$this->Session->setFlash(__('The formuler has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The formuler could not be saved. Please, try again.'));
			}
		} else {
			$options = array('conditions' => array('Formuler.' . $this->Formuler->primaryKey => $id));
			$this->request->data = $this->Formuler->find('first', $options);
		}
		$presentations = $this->Formuler->Presentation->find('list');
		$medicaments = $this->Formuler->Medicament->find('list');
		$this->set(compact('presentations', 'medicaments'));
	}

/**
 * delete method
 *
 * @throws NotFoundException
 * @throws MethodNotAllowedException
 * @param string $id
 * @return void
 */
	public function delete($id = null) {
		$this->Formuler->id = $id;
		if (!$this->Formuler->exists()) {
			throw new NotFoundException(__('Invalid formuler'));
		}
		$this->request->onlyAllow('post', 'delete');
		if ($this->Formuler->delete()) {
			$this->Session->setFlash(__('Formuler deleted'));
			$this->redirect(array('action' => 'index'));
		}
		$this->Session->setFlash(__('Formuler was not deleted'));
		$this->redirect(array('action' => 'index'));
	}
}
