<?php
App::uses('AppController', 'Controller');
/**
 * Medicaments Controller
 *
 * @property Medicament $Medicament
 */
class MedicamentsController extends AppController {

/**
 * index method
 *
 * @return void
 */
	public function index() {
		$this->Medicament->recursive = 0;
		$this->set('medicaments', $this->paginate());
	}

/**
 * view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function view($id = null) {
		if (!$this->Medicament->exists($id)) {
			throw new NotFoundException(__('Invalid medicament'));
		}
		$options = array('conditions' => array('Medicament.' . $this->Medicament->primaryKey => $id));
		$this->set('medicament', $this->Medicament->find('first', $options));
	}

/**
 * add method
 *
 * @return void
 */
	public function add() {
		if ($this->request->is('post')) {
			$this->Medicament->create();
			if ($this->Medicament->save($this->request->data)) {
				$this->Session->setFlash(__('The medicament has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The medicament could not be saved. Please, try again.'));
			}
		}
		$familles = $this->Medicament->Famille->find('list');
		$this->set(compact('familles'));
	}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function edit($id = null) {
		if (!$this->Medicament->exists($id)) {
			throw new NotFoundException(__('Invalid medicament'));
		}
		if ($this->request->is('post') || $this->request->is('put')) {
			if ($this->Medicament->save($this->request->data)) {
				$this->Session->setFlash(__('The medicament has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The medicament could not be saved. Please, try again.'));
			}
		} else {
			$options = array('conditions' => array('Medicament.' . $this->Medicament->primaryKey => $id));
			$this->request->data = $this->Medicament->find('first', $options);
		}
		$familles = $this->Medicament->Famille->find('list');
		$this->set(compact('familles'));
	}

/**
 * delete method
 *
 * @throws NotFoundException
 * @throws MethodNotAllowedException
 * @param string $id
 * @return void
 */
	public function delete($id = null) {
		$this->Medicament->id = $id;
		if (!$this->Medicament->exists()) {
			throw new NotFoundException(__('Invalid medicament'));
		}
		$this->request->onlyAllow('post', 'delete');
		if ($this->Medicament->delete()) {
			$this->Session->setFlash(__('Medicament deleted'));
			$this->redirect(array('action' => 'index'));
		}
		$this->Session->setFlash(__('Medicament was not deleted'));
		$this->redirect(array('action' => 'index'));
	}
}
