<?php
App::uses('AppController', 'Controller');
/**
 * Motifs Controller
 *
 * @property Motif $Motif
 */
class MotifsController extends AppController {

/**
 * index method
 *
 * @return void
 */
	public function index() {
		$this->Motif->recursive = 0;
		$this->set('motifs', $this->paginate());
	}

/**
 * view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function view($id = null) {
		if (!$this->Motif->exists($id)) {
			throw new NotFoundException(__('Invalid motif'));
		}
		$options = array('conditions' => array('Motif.' . $this->Motif->primaryKey => $id));
		$this->set('motif', $this->Motif->find('first', $options));
	}

/**
 * add method
 *
 * @return void
 */
	public function add() {
		if ($this->request->is('post')) {
			$this->Motif->create();
			if ($this->Motif->save($this->request->data)) {
				$this->Session->setFlash(__('The motif has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The motif could not be saved. Please, try again.'));
			}
		}
	}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function edit($id = null) {
		if (!$this->Motif->exists($id)) {
			throw new NotFoundException(__('Invalid motif'));
		}
		if ($this->request->is('post') || $this->request->is('put')) {
			if ($this->Motif->save($this->request->data)) {
				$this->Session->setFlash(__('The motif has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The motif could not be saved. Please, try again.'));
			}
		} else {
			$options = array('conditions' => array('Motif.' . $this->Motif->primaryKey => $id));
			$this->request->data = $this->Motif->find('first', $options);
		}
	}

/**
 * delete method
 *
 * @throws NotFoundException
 * @throws MethodNotAllowedException
 * @param string $id
 * @return void
 */
	public function delete($id = null) {
		$this->Motif->id = $id;
		if (!$this->Motif->exists()) {
			throw new NotFoundException(__('Invalid motif'));
		}
		$this->request->onlyAllow('post', 'delete');
		if ($this->Motif->delete()) {
			$this->Session->setFlash(__('Motif deleted'));
			$this->redirect(array('action' => 'index'));
		}
		$this->Session->setFlash(__('Motif was not deleted'));
		$this->redirect(array('action' => 'index'));
	}
}
