<?php
App::uses('AppController', 'Controller');
/**
 * RapportsVisites Controller
 *
 * @property RapportsVisite $RapportsVisite
 */
class RapportsVisitesController extends AppController {

	public function beforeRender(){
		$this->set('user_id', $this->Auth->user('id'));
		$options=array('conditions' => array('RapportsVisite.user_id' => $this->Auth->user('id')), 'order' => 'RapportsVisite.num DESC');
		if($rapportsVisite=$this->RapportsVisite->find('first', $options)){
			$this->set('maxNum', $rapportsVisite['RapportsVisite']['num']);
		}
	}

/**
 * index method
 *
 * @return void
 */
	public function index() {
		$this->RapportsVisite->recursive = 0;
		$this->set('rapportsVisites', $this->paginate());
	}

/**
 * view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
 
 	public function user_view($id = null) {
 		$options = array('conditions' => array('RapportsVisite.' . $this->RapportsVisite->primaryKey => $id));
		$resultRapport=$this->request->data = $this->RapportsVisite->find('first', $options);
		if (!$this->RapportsVisite->exists($id) || ($resultRapport['RapportsVisite']['user_id'] != $this->Auth->user('id'))) {
			throw new NotFoundException(__('Invalid rapports visite'));
		}
		if($resultRapport['Motif']['id'] == 5)
			$this->set('motif', $resultRapport['RapportsVisite']['autreMotif']);
		else
			$this->set('motif', $resultRapport['Motif']['libelle']);
		
		$this->loadModel('Presentation');
		$this->loadModel('Offrir');
		$options=array('conditions' => array('Presentation.rapports_visite_id' => $id));
		$presentations=$this->Presentation->find('all', $options);
		$this->set('presentations', $presentations);
		$options=array('conditions' => array('Offrir.rapports_visite_id' => $id));
		$echantillons=$this->Offrir->find('all', $options);
		$this->set('echantillons', $echantillons);
		$this->set('rapportsVisite', $resultRapport);
	}
 	
	public function view($id = null) {
		if (!$this->RapportsVisite->exists($id)) {
			throw new NotFoundException(__('Invalid rapports visite'));
		}
		$options = array('conditions' => array('RapportsVisite.' . $this->RapportsVisite->primaryKey => $id));
		$this->set('rapportsVisite', $this->RapportsVisite->find('first', $options));
	}
	
	
	public function user_historique(){
		$options=array('conditions' => array('RapportsVisite.user_id' => $this->Auth->user('id')), 'order' => 'RapportsVisite.num');
		$rapportsVisites=$this->RapportsVisite->find('all', $options);
		$i=0;
		$this->set('rapportsVisites', $rapportsVisites);
	}

 	public function user_add() {
		if ($this->request->is('post')) {
			$offrirs = $this->request->data['Offrir'];
			for($i=0;$i<count($this->request->data['Offrir']);$i++){
				if(empty($this->request->data['Offrir'][$i]['medicament_id'])){
					unset($offrirs[$i]);
				}
			}
			$presentations = $this->request->data['Presentation'];
			for($i=0;$i<count($this->request->data['Presentation']);$i++){
				if(empty($this->request->data['Presentation'][$i]['medicament_id'])){
					unset($presentations[$i]);
				}
			}
			$this->request->data['Offrir'] = $offrirs;
			$this->request->data['Presentation'] = $presentations;
			$this->request->data['Offrir']=array_values($this->request->data['Offrir']);
			$this->request->data['Presentation']=array_values($this->request->data['Presentation']);
			$this->RapportsVisite->create();
			if ($this->RapportsVisite->saveAll($this->request->data, array('deep' => true))) {
				$this->Session->setFlash(__('Le rapport de visite a bien été enregistré'));
				$this->redirect(array('action' => 'user_historique'));
			} else {
				$this->Session->setFlash(__('Le rapport de visite n\'a pas pu être enregistré. Veuillez réessayer.'));
			}
		}
		$praticiens = $this->RapportsVisite->Praticien->find('list');
		$motifs = $this->RapportsVisite->Motif->find('list');
		$this->set(compact('praticiens', 'motifs'));
		$this->loadModel('Medicament');
		$medicaments=$this->Medicament->find('list');
		$this->set(compact('medicaments'));
	}
  
	public function add() {
		if ($this->request->is('post')) {
			$this->RapportsVisite->create();
			if ($this->RapportsVisite->save($this->request->data)) {
				$this->Session->setFlash(__('The rapports visite has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The rapports visite could not be saved. Please, try again.'));
			}
		}
		$users = $this->RapportsVisite->User->find('list');
		$praticiens = $this->RapportsVisite->Praticien->find('list');
		$motifs = $this->RapportsVisite->Motif->find('list');
		$this->set(compact('praticiens', 'users', 'motifs'));
	}

/**
 * user_edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function user_edit($id = null) {
		$options = array('conditions' => array('RapportsVisite.' . $this->RapportsVisite->primaryKey => $id));
		$resultRapport=$this->RapportsVisite->find('first', $options);
		if (!$this->RapportsVisite->exists($id) || ($resultRapport['RapportsVisite']['user_id'] != $this->Auth->user('id'))) {
			throw new NotFoundException(__('Invalid rapports visite'));
		}
		if ($this->request->is('post') || $this->request->is('put')) {
			$this->loadModel('Presentation');
			$this->loadModel('Offrir');
			$presentations = $this->Presentation->find('all', array(
				'conditions' => array(
					'Presentation.rapports_visite_id' => $id
				)
			));
			foreach($presentations as $presentation){
				$this->Presentation->delete($presentation['Presentation']['id']);
			}
			$echantillons = $this->Offrir->find('all', array(
				'conditions' => array(
					'Offrir.rapports_visite_id' => $id
				)
			));
			foreach($echantillons as $echantillon){
				$this->Offrir->delete($echantillon['Offrir']['id']);
			}
			
			$offrirs = $this->request->data['Offrir'];
			for($i=0;$i<count($this->request->data['Offrir']);$i++){
				if(empty($this->request->data['Offrir'][$i]['medicament_id'])){
					unset($offrirs[$i]);
				}
			}
			$presentations = $this->request->data['Presentation'];
			for($i=0;$i<count($this->request->data['Presentation']);$i++){
				if(empty($this->request->data['Presentation'][$i]['medicament_id'])){
					unset($presentations[$i]);
				}
			}
			$this->request->data['Offrir'] = $offrirs;
			$this->request->data['Presentation'] = $presentations;
			$this->request->data['Offrir'] = array_values($this->request->data['Offrir']);
			$this->request->data['Presentation'] = array_values($this->request->data['Presentation']);
			
			if ($this->RapportsVisite->saveAll($this->request->data, array('deep' => true))) {
				$this->Session->setFlash(__('Le rapport de visite a été sauvegardé.'));
				$this->redirect(array('action' => 'user_historique'));
			} else {
				$this->Session->setFlash(__('Le rapport de visite n\'a pas pu être sauvegardé. Merci de réessayer.'));
			}
		} else {
			$this->request->data = $resultRapport;
		}
		$this->loadModel('Presentation');
		$presentations = $this->Presentation->find('all', array(
			'conditions' => array(
				'Presentation.rapports_visite_id' => $id
			)
		));
		if(count($presentations)>0){
			$this->set('presentations', $presentations);
		}
		$this->loadModel('Offrir');
		$echantillons = $this->Offrir->find('all', array(
			'conditions' => array(
				'Offrir.rapports_visite_id' => $id
			)
		));
		if(count($echantillons)>0){
			$this->set('echantillons', $echantillons);
		}
		$praticiens = $this->RapportsVisite->Praticien->find('list');
		$motifs = $this->RapportsVisite->Motif->find('list');
		$this->set(compact('praticiens', 'motifs'));
		$this->set('resultRapport', $resultRapport);
		
		$this->loadModel('Medicament');
		$medicaments=$this->Medicament->find('list');
		$this->set(compact('medicaments'));
	}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function edit($id = null) {
		if (!$this->RapportsVisite->exists($id)) {
			throw new NotFoundException(__('Invalid rapports visite'));
		}
		if ($this->request->is('post') || $this->request->is('put')) {
			if ($this->RapportsVisite->save($this->request->data)) {
				$this->Session->setFlash(__('The rapports visite has been saved'));
				$this->redirect(array('action' => 'user_historique'));
			} else {
				$this->Session->setFlash(__('The rapports visite could not be saved. Please, try again.'));
			}
		} else {
			$options = array('conditions' => array('RapportsVisite.' . $this->RapportsVisite->primaryKey => $id));
			$this->request->data = $this->RapportsVisite->find('first', $options);
		}
		$users = $this->RapportsVisite->User->find('list');
		$praticiens = $this->RapportsVisite->Praticien->find('list');
		$motifs = $this->RapportsVisite->Motif->find('list');
		$this->set(compact('users', 'praticiens', 'motifs'));
	}

/**
 * user_delete method
 *
 * @throws NotFoundException
 * @throws MethodNotAllowedException
 * @param string $id
 * @return void
 */
	public function user_delete($id = null) {
		$this->loadModel('Presentation');
		$this->loadModel('Offrir');
		$presentations = $this->Presentation->find('all', array(
			'conditions' => array(
				'Presentation.rapports_visite_id' => $id
			)
		));
		foreach($presentations as $presentation){
			$this->Presentation->delete($presentation['Presentation']['id']);
		}
		$echantillons = $this->Offrir->find('all', array(
			'conditions' => array(
				'Offrir.rapports_visite_id' => $id
			)
		));
		foreach($echantillons as $echantillon){
			$this->Offrir->delete($echantillon['Offrir']['id']);
		}
		$this->RapportsVisite->id = $id;
		$options=array('conditions' => array('RapportsVisite.' .$this->RapportsVisite->primaryKey => $id));
		$resultRapport=$this->RapportsVisite->find('first', $options);
		if (!$this->RapportsVisite->exists($id)  || ($resultRapport['RapportsVisite']['user_id'] != $this->Auth->user('id'))) {
			throw new NotFoundException(__('Rapport de visite invalide'));
		}
		$this->request->onlyAllow('post', 'delete');
		if ($this->RapportsVisite->delete($id)) {
			$this->Session->setFlash(__('Le rapport de visite a bien été supprimé'));
			$this->redirect(array('action' => 'user_historique'));
		}
		$this->Session->setFlash(__('Le rapports de visite n\'a pas été supprimé'));
		$this->redirect(array('action' => 'user_historique'));
	}

/**
 * delete method
 *
 * @throws NotFoundException
 * @throws MethodNotAllowedException
 * @param string $id
 * @return void
 */
	public function delete($id = null) {
		$this->RapportsVisite->id = $id;
		if (!$this->RapportsVisite->exists()) {
			throw new NotFoundException(__('Invalid rapports visite'));
		}
		$this->request->onlyAllow('post', 'delete');
		if ($this->RapportsVisite->delete()) {
			$this->Session->setFlash(__('Rapports visite deleted'));
			$this->redirect(array('action' => 'index'));
		}
		$this->Session->setFlash(__('Rapports visite was not deleted'));
		$this->redirect(array('action' => 'index'));
	}
}
