<?php
App::uses('AppController', 'Controller');
/**
 * TypesPraticiens Controller
 *
 * @property TypesPraticien $TypesPraticien
 */
class TypesPraticiensController extends AppController {

/**
 * index method
 *
 * @return void
 */
	public function index() {
		$this->TypesPraticien->recursive = 0;
		$this->set('typesPraticiens', $this->paginate());
	}

/**
 * view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function view($id = null) {
		if (!$this->TypesPraticien->exists($id)) {
			throw new NotFoundException(__('Invalid types praticien'));
		}
		$options = array('conditions' => array('TypesPraticien.' . $this->TypesPraticien->primaryKey => $id));
		$this->set('typesPraticien', $this->TypesPraticien->find('first', $options));
	}

/**
 * add method
 *
 * @return void
 */
	public function add() {
		if ($this->request->is('post')) {
			$this->TypesPraticien->create();
			if ($this->TypesPraticien->save($this->request->data)) {
				$this->Session->setFlash(__('The types praticien has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The types praticien could not be saved. Please, try again.'));
			}
		}
	}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function edit($id = null) {
		if (!$this->TypesPraticien->exists($id)) {
			throw new NotFoundException(__('Invalid types praticien'));
		}
		if ($this->request->is('post') || $this->request->is('put')) {
			if ($this->TypesPraticien->save($this->request->data)) {
				$this->Session->setFlash(__('The types praticien has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The types praticien could not be saved. Please, try again.'));
			}
		} else {
			$options = array('conditions' => array('TypesPraticien.' . $this->TypesPraticien->primaryKey => $id));
			$this->request->data = $this->TypesPraticien->find('first', $options);
		}
	}

/**
 * delete method
 *
 * @throws NotFoundException
 * @throws MethodNotAllowedException
 * @param string $id
 * @return void
 */
	public function delete($id = null) {
		$this->TypesPraticien->id = $id;
		if (!$this->TypesPraticien->exists()) {
			throw new NotFoundException(__('Invalid types praticien'));
		}
		$this->request->onlyAllow('post', 'delete');
		if ($this->TypesPraticien->delete()) {
			$this->Session->setFlash(__('Types praticien deleted'));
			$this->redirect(array('action' => 'index'));
		}
		$this->Session->setFlash(__('Types praticien was not deleted'));
		$this->redirect(array('action' => 'index'));
	}
}
