<?php
/**
 *
 * PHP 5
 *
 * CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
 * Copyright 2005-2012, Cake Software Foundation, Inc. (http://cakefoundation.org)
 *
 * Licensed under The MIT License
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright 2005-2012, Cake Software Foundation, Inc. (http://cakefoundation.org)
 * @link          http://cakephp.org CakePHP(tm) Project
 * @package       Cake.View.Layouts
 * @since         CakePHP(tm) v 0.10.0.1076
 * @license       MIT License (http://www.opensource.org/licenses/mit-license.php)
 */
?>

<!DOCTYPE html>
<html lang="fr">
<head>
<title><?php echo $title_for_layout?></title>
<link rel="shortcut icon" href="favicon.ico" type="image/x-icon">
<link href="http://fonts.googleapis.com/css?family=Arvo" rel="stylesheet" type="text/css" />
<?php echo $this->Html->css('style'); ?>
<!-- Include external files and scripts here (See HTML helper for more info.) -->
<?php
echo $scripts_for_layout;
?>
</head>
<body>
	<div id="bg">
		<div id="outer">
			<div id="header">
		    	<div id="logo">
					<h1>
						<a href="#">GSB Compte Rendu</a>
					</h1>
				</div>
		    	<div id='nav'>
		    		<ul>
		    			<?php $url = $this->Html->url('/pages/home'); ?>
		    			<li <?php echo ($this->request->here == $url)?'class = "first active"':'' ?>>
					    	<?php echo $this->Html->link('Home', array('controller' => 'pages', 'action' => 'home')); ?>
		    			</li>
		    			<?php $url = $this->Html->url('/rapports_visites/user_add'); ?>
		    			<li <?php echo ($this->request->here == $url)?'class = "first active"':'' ?>>
			    			<?php echo $this->Html->link('Nouveau rapport', array('controller' => 'rapports_visites', 'action' => 'user_add')); ?>
			    		</li>
			    		<?php $url = $this->Html->url('/rapports_visites/user_historique'); ?>
		    			<li <?php echo ($this->request->here == $url)?'class = "first active"':'' ?>>
				    		<?php echo $this->Html->link('Historique', array('controller' => 'rapports_visites', 'action' => 'user_historique')); ?>
			    		</li>
			    		<?php $url = $this->Html->url('/users/statistiques'); ?>
		    			<li <?php echo ($this->request->here == $url)?'class = "first active"':'' ?>>
				    		<?php echo $this->Html->link('Statistiques', array('controller' => 'users', 'action' => 'statistiques')); ?>
			    		</li>
			    		<?php $url = $this->Html->url('/users/logout'); ?>
		    			<li <?php echo ($this->request->here == $url)?'class = "first active"':'' ?>>
				    		<?php echo $this->Html->link('Déconnexion', array('controller' => 'users', 'action' => 'logout')); ?>
			    		</li>
		    		</ul>
		    		<br class="clear" />
		    	</div>
			</div>
			<div id="banner">
				<?php echo $this->Html->image('/css/images/pic1.jpg', array('alt' => 'GSB', 'style' => "width='1120';height='200';")); ?>			
			</div>
			<div id="main">
				<div id="content">
					<!-- Here's where I want my views to be displayed -->
					<?php echo $this->Session->flash(); ?>
					<?php echo $content_for_layout; ?>	
					<br class="clear" />
				</div>
			</div>
	    </div>
	</div>
</body>
<footer>
	<!-- <?php echo $this->element('sql_dump') ?> -->
</footer>
</html>